@import url('https://fonts.cdnfonts.com/css/cocosolddb');
*{
    margin: 0;
    padding: 0;
    /* font-family: cursive;  #F1F1F2*/
    font-family: 'CocosOldDB', sans-serif;
}
body{
    background: #F1F1F2!important;
    
}
.bg{
    background-color: #375E97;
}
.c-text{
    color: rgb(229, 236, 242);
}
.text{
    color: #002C54,;
}
.text-color{
    color: rgba(30, 62, 98, 0.375) !important;
}

.text-link{
    font-size: 25px;
    margin: 20px;
}
.name-text{
    font-size: xx-large;
    margin-left: 150px;
}
/* .background-nav{
    background-color: linear-gradient(to bottom right, rgba(59, 58, 58, 0.3) ,rgba(18, 59, 59, 0.3) ,rgba(40, 40, 65, 0.3)); 
    box-shadow: 4px 4px 6px 4px rgba(245, 244, 244, 0.2), 4px 6px 6px 4px rgba(253, 253, 253, 0.19);
} */
#nav-heading{
    font-size: 30px;
}
#dummy{
    height: 70px;
}
.dummy{
    height: 200px;
}
#about{
    margin-top: 180px;
    margin-bottom: 180px;
}
.about-heading{
    margin-top: 150px;
    
}
#bio{
    margin: 180px 0;
}
.about-text h1{
    font-size: 40px;
}
.about-text p{
    font-size: 25px !important;
    padding: 0 5px;
}
.mypic{
    padding: 0px;
    width: 350px;
    height: 350px;
    border-radius: 50%;
}
.myself{
    padding: 0 5px;
    margin-right: 30px;
}
.myself p{
    color: #202b36;
    font-size: 25px !important;
}
#w-text{
    font-size: 25px !important;
}
.download-btn{
    /* border-color: rgb(10, 112, 130) !important; */
    font-size: 30px !important;
}
.download-btn a{
    text-decoration: none !important;
    background-color: transparent !important; 
    /* color: rgb(10, 112, 130) !important; */
}
#skills{
    margin: 200px 0;
}

#skills h1{
    font-size: 40px;
    font-weight: bold;
    margin: 150px 0;
}
.python{
    border-radius: 50%;
    border-width: 5px;
    border-style: solid;
    border-color: rgb(199, 129, 16) rgb(199, 129, 16) rgb(199, 129, 16) black;
    width: 150px;
    height: 150px;
    transform: rotate(45deg);
    margin-bottom: 30px;
}
.html{
    border-color: rgb(47, 143, 42) rgb(47, 143, 42) rgb(47, 143, 42) black;
}
.css{
    border-color:  rgb(199, 129, 16) rgb(199, 129, 16) rgb(199, 129, 16) black;
}
.sql{
    border-color:  rgb(199, 129, 16) rgb(199, 129, 16) rgb(199, 129, 16) black;
}
.react{
    border-color: rgb(15, 15, 179) rgb(15, 15, 179) rgb(15, 15, 179) black;
}
.rbs{
    border-color:  rgb(47, 143, 42) rgb(47, 143, 42) rgb(47, 143, 42) black;
}
#p-size{
    font-size: 25px;
}
#span{
    position: absolute;
    color: red;
    font-size: 28px;
    font-weight: bold;
    margin-top: 48px;
    margin-left: 24px;
    transform: rotate(-45deg);
}

.css #span, .sql #span, .python #span, .html #span{
    margin-top: 49px;
    margin-left: 38px;
}
.react #span{
    margin-top: 49px;
    margin-left: 38px;
}

.project-card{
    background-image: url('https://img.freepik.com/free-photo/cybersecurity-concept-illustration_23-2151883579.jpg?t=st=1730736702~exp=1730740302~hmac=0c643089c954ff3a5630753a03052dc7b0e93339a0eb055251a8cbe7ab6f54c3&w=360');
    background-size: cover;
    border-radius: 20px 20px 20px 20px;
    height: 400px;
    padding: 0;
}
.image2{
    background-image: url('https://img.freepik.com/free-photo/programming-background-collage_23-2149901770.jpg?t=st=1730738800~exp=1730742400~hmac=46ff01687e66cddf3766a5904827993e9f4ca6e3f7ec1bda86552e87b4000352&w=826');
    background-size: cover;
    background-position-x: -25px;
}
.pc1:hover{
    box-shadow: 2px 2px 8px 8px rgb(15, 15, 179);
}
.pc2:hover{
    box-shadow: 2px 2px 8px 8px rgb(147, 41, 41);
}
.pc3:hover{
    box-shadow: 2px 2px 8px 8px rgb(47, 143, 42);
}
.pc4:hover{
    box-shadow: 2px 2px 8px 8px rgb(199, 129, 16);
}
.image3{
    background-image: url('https://img.freepik.com/free-photo/double-exposure-caucasian-man-virtual-reality-vr-headset-is-presumably-gamer-hacker-cracking-code-into-secure-network-server-with-lines-code_146671-18911.jpg?t=st=1730739333~exp=1730742933~hmac=3bf605c68c72028096216df884c041c1b5149ca4b9f6693cdcb7c8cfa66a6650&w=996');
    background-size: cover;
    background-position-x: -65px;
}
.image4{
    background-image: url('https://www.topsinfosolutions.com/wp-content/uploads/2020/07/mern-stack.png');
    background-size: cover;
    background-position-x: -230px;
    background-position-y: 240px;
}
.project-discription-card1 {
    align-content: center;
    height: 250px;
    background: hsla(0, 0%, 0%, 0.808);
    border-radius: 15px 15px 15px 15px;
    box-shadow: 2px 2px 4px 4px rgb(56, 55, 137);
}
.project-discription-card2 {
    align-content: center;
    height: 250px;
    background: hsla(0, 0%, 0%, 0.808);
    border-radius: 15px 15px 15px 15px;
    box-shadow: 4px 2px 8px 8px rgb(147, 41, 41);
}
.project-discription-card3 {
    align-content: center;
    height: 250px;
    background: hsla(0, 0%, 0%, 0.808);
    border-radius: 15px 15px 15px 15px;
    box-shadow: 2px 2px 4px 4px rgb(47, 143, 42);
}
.project-discription-card4 {
    align-content: center;
    height: 250px;
    background: hsla(0, 0%, 0%, 0.808);
    border-radius: 15px 15px 15px 15px;
    box-shadow: 2px 2px 4px 4px rgb(141, 99, 32);
}
#button{
    background-color: transparent;
    font-size: 25px;
    margin-bottom: 10px;
}
.download-btn a{
    text-decoration: none;
    backgrounf-color: transparent;
}

.pdc:hover{
    box-shadow: 2px 2px 4px 4px rgb(149, 127, 127);
}
.projects-container{
    gap: 100px;
}

#contact{
    margin: 180px 0 100px 0;
}
.text-gray{
    color: lightgray;
}
.contact-container{
    width: 30%;
}
.label{
    font-size: 30px;
}
.transparent{
    font-size: 20px;
    padding: 15px;
    background-color: #f3f5f866;
    color: white;
    border-radius: 10px;
}
placeholder{
    color: white;
}
/* .footer-card{
    background-color: #19232d;
    height: 100vh;
} */
.image{
    width: 100px;
    height: 47px;
    transform: rotate(180deg);
}
.ima{
    transform: rotate(90deg);
}
.icon{
    padding: 15px;
    font-size: 27px;
    border-radius: 50%;
    margin-right: 5px;
    color: #5a7184;
    background-color:  #202b36 ;
}
.c-icon{
    color: #5a7184;
    font-size: 23px;
}
p{
    font-size: 25px;
    color: #5a7184;
}
.text{
    font-size: 15px;
    color: #5a7184;
}
.hr{
    height:2px;
    border-width:0;
    color:gray;
    background-color:gray;
}
span{
    font-size: 30px;
}
/* .detailsofme{
    font-size: 25px;
} */
.aboutme, .text-cert, .text-contact{
    font-size: 40px;
    font-weight: bold;
    color:#002C54 !important;
}
.text-gray{
    font-size: 30px;
    font-weight: bold;
    color:#002C54 !important;
}
.c-text{
    font-size: 16px;
}
@media screen and (max-width: 576px){
    
    .text-link{
        margin: 0px;
        color: white;
        font-size: 14px;
    }
    .name-text{
        margin-left: 0px;
    }
    .background-c{
        background-color: rgba(128, 128, 128, 0.245);
        padding: 3px 20px;
    }
    #about{
        margin-top: -0px;
        margin-bottom: 20px;
    }
    .about-text h1{
        font-size: 20px;
    }
    .about-text p{
        margin-left: 15px;
        margin-right: 15px;
        font-size: 13px;
        text-align: left;
        padding: 0 5px;
    }
    #nav-heading{
        font-size: 25px;
    }
    #bio{
        margin: 0px;
    }
    #bio h1{
        font-size: 20px;
    }
    #skills{
        margin: 50px 0;
    }
    
    #skills h1{
        margin: 50px 0;
    }
    .mypic{
        width: 150px;
        height: 150px;
        border-radius: 50%;
    }
    .myself{
        padding-left: 10px;
        font-size: 12px;
    }
    .detailsofme{
        text-align: left;
        margin-right: -15px !important;
    }
    .skills-heading{
        font-size: 25px !important;
        margin-bottom: 0;
    }
    .python{
        width: 80px;
        height: 80px;
    }
    #span{
        font-size: 14px;
        margin-top: 25px;
        margin-left: 13px;
    }
    .css #span, .sql #span, .python #span, .html #span, .rbs #span, .react #span{
        margin-top: 25px;
        margin-left: 22px;
    }
    .c-title{
        font-size: 28px;
    }
    .project-card{
        height: 350px;
    }
    .projects-container{
        gap: 30px;
        padding: 0 10px;
    }
    .project-discription-card {
        height: 180px;
    }
    .pc1:hover{
        box-shadow: 2px 2px 4px 4px rgb(15, 15, 179);
    }
    .pc2:hover{
        box-shadow: 1px 1px 4px 4px rgb(147, 41, 41);
    }
    .pc3:hover{
        box-shadow: 1px 1px 4px 4px rgb(47, 143, 42);
    }
    .pc4:hover{
        box-shadow: 1px 1px 4px 4px rgb(199, 129, 16);
    }
    #contact{
        margin: 100px 0 5px 0;
    }
    #contact h1{
        font-size: 35px;
        margin-bottom: 15px;
    }
    #h5{
        margin: 5px 0 !important;
        font-size: 15px;
    }
    .c-links{
        font-size: 15px;
    }
    .myself p{
        font-size: 15px;
        text-align: center;
    }
    .download-btn{
        font-size: 20px !important;
    }
    .c-text{
        font-size: 17px;
        
    }
}
